<?php
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/placarfid.php");
  $placarfid=new placarfid;
  include_once($ruta."class/placarfidasig.php");
  $placarfidasig=new placarfidasig;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/chofer.php");
  $chofer=new chofer;
  include_once($ruta."funciones/funciones.php");
  session_start(); 
   $fechaHoy=date('Y-m-d');
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="LISTA DE DISPOSITIVOS RFID";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1103;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
            <div class="row">
              <div class="col s12 m8 l8" style="background: white; text-align: center; color:#021e65; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                <?php echo $hd_titulo; ?>
              </div>
              <div class="col s12 m4 l4" style="background: white; text-align: center; color:#1C2637; border-radius: 5px; border: #CBCBCB 1px solid">
                <a href="nuevo/" class="btn waves-effect darken-4 cyan"><i class="fa fa-plus-square-o"></i> NUEVO</a>
              </div>
            </div>
              
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row" >
              <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                        
                <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Cod</th>
                      <th>Dispositivo</th>
                      <th>Microcontrolador</th> 
                      <th>Serial</th>  
                      <th>descripción</th>
                      <th>Estado</th>
                      <th>Chofer</th>
                      <th>Acciones</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th>Cod</th>
                      <th>Dispositivo</th>
                      <th>Microcontrolador</th> 
                      <th>Serial</th>  
                      <th>descripción</th>
                      <th>Estado</th>
                      <th>Chofer</th>
                      <th>Acciones</th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    $contar=0;
                    foreach($placarfid->mostrarTodo("estado!=2") as $f)
                    {
                                        
                      $lblcode=ecUrl($f['idplacarfid']);
                      $contar++;
                      switch ($f['estado']) {
                        case '0':
                          $estado='LIBRE';
                          break;
                        
                       case '1':
                          $estado='ASIGNADO';
                          break;

                       case '2':
                          $estado='RETIRADO';
                          break;   
                      }
                      $plaasi=$placarfidasig->mostrarUltimo("idplacarfid=".$f['idplacarfid']." and estado=1");
                      $cho=$chofer->muestra($plaasi['idchofer']);
                      $deje=$vadmejecutivo->muestra($cho['idadmejecutivo']);
                    ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $contar ?></td>
                      <td><?php echo $f['codigoplaca'] ?></td>
                      <td><?php echo $f['microcontrolador'] ?></td>
                      <td><?php echo $f['serial'] ?></td>
                      <td><?php echo $f['descripcion'] ?></td>
                      <td><?php echo $estado ?></td>
                      <td><?php echo $deje['nombre']." ".$deje['paterno']." ".$deje['materno'] ?></td>

                      <td>
                        <a href="editar/?lblcode=<?php echo $lblcode ?>" class="btn-jh waves-effect darken-4 orange"><i class="fa fa-pencil-square"></i> editar</a>
                        <?php
                          if (count($plaasi)>0) 
                          {
                            ?>  
                            <button class="btn-jh waves-effect darken-4 blue" onclick="desasignar('<?php echo $f['idplacarfid'] ?>','<?php echo $plaasi['idplacarfidasig'] ?>');"><i class="fa fa-external-link-square"></i> Desasignar</button>                          
                            
                            <?php
                          }else{                          
                          ?>                            
                            <button class="btn-jh waves-effect darken-4 cyan" onclick="listarchofer('<?php echo $f['idplacarfid'] ?>')"><i class="fa fa-share-alt-square"></i> Asignar dispostivo</button>
                            <button class="btn-jh waves-effect darken-4 red" onclick="darbaja('<?php echo $f['idplacarfid'] ?>','<?php echo $plaasi['idplacarfidasig'] ?>');"><i class="fa fa-arrow-circle-down"></i> Dar de baja</button>
                            <?php
                          }
                         ?>
                        
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
              </div>
            </div>     
            </div>
           <div class="container">
            <div class="section">
              <div id="modal1" class="modal">
                <div class="modal-content">
                <h1 style="color:#021e65; font-weight: bold;">Lista de Socios a asignar DISPOSITIVO RFID</h1>
                  <form class="col s12" id="idform2" action="return false" onsubmit="return false" method="POST">
                    <input id="idplacarfidIMP" name="idplacarfidIMP" type="hidden" value="0">
                      <div class="row">
                          <table id="example3" class="display" cellspacing="0" width="100%">
                                <thead>
                                  <tr>
                                    <th>CARNET</th>
                                    <th>SOCIO</th> 
                                    <th>OPCIONES</th>
                                  </tr>
                                </thead>
                                <tfoot>
                                  <tr>
                                    <th></th>
                                    <th></th> 
                                    <th></th>
                                  </tr>
                                </tfoot>
                                <tbody>
                                  <?php
                                  foreach($chofer->mostrarTodo("estado=1") as $f)//idtipo=142
                                  {
                                    
                                      $deje=$vadmejecutivo->muestra($f['idadmejecutivo']);
                                      $placar=$placarfidasig->mostrarUltimo("idchofer=".$f['idchofer']." and estado=1");
                                     $idchofer=$f['idchofer'];
                                      if (count($placar)==0) 
                                      {
                                         ?>
                                         <tr>
                                          <td><?php echo $deje['carnet']." ".$deje['expedido']?></td>
                                          <td><?php echo $deje['nombre']." ".$deje['paterno']." ".$deje['materno'] ?></td>
                                          
                                          <td>
                                            <button class="btn-jh waves-effect darken-4 orange" onclick="asignar('<?php echo $idchofer ?>');"><i class="fa fa-share-alt-square"></i> Asignar</button>
                                          </td>
                                        </tr>
                                        <?php
                                      }
                                 
                                  }
                                  ?>
                                </tbody>
                              </table>
                      </div>
                  </form>
                </div>
                <div class="modal-footer">
                 
                </div>
              </div>
          
            </div>
          </div>
          
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "asc" ]],
        buttons: [
          'excel'
          //  'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example3').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "asc" ]],
        buttons: [
          //  'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
         
    });
    //0=fecha actual dia
    //1=fecha cambiado
  function elim(id)
  {
     swal({
                  title: "¿Esta seguro?",
                  text: "ALIMINAR",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#2c2a6c",
                  confirmButtonText: "Si, estoy seguro",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                 // var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "eliminar.php",
                    type: "POST",
                    data: "idcategoria="+id,
                    success: function(resp){
                      //alert(resp);
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
  function listarchofer(id)
  {
    $("#idplacarfidIMP").val(id);
    $('#modal1').openModal();
    
  }
  function asignar(id)
  {
    idplacarImp=$("#idplacarfidIMP").val();
    swal({
                  title: "¿Esta seguro?",
                  text: "Se asignará el dispositivo RFID",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#2c2a6c",
                  confirmButtonText: "Registrar",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                  //var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "asignar/guardar.php",
                    type: "POST",
                    data: "idchofer="+id+"&idplacarfid="+idplacarImp,
                    success: function(resp){
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
function desasignar(id,idasig)
  {
    swal({
                  title: "¿Esta seguro?",
                  text: "Se desasignará el dispositivo RFID",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#AC0000",
                  confirmButtonText: "Desasignar",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                  //var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "desasignar/guardar.php",
                    type: "POST",
                    data: "idplacarfid="+id+"&idplacarfidasig="+idasig,
                    success: function(resp){
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
  function darbaja(id,idasig)
  {

    if (idasig=='') 
    {
      idasig=0;
    }
     //alert(idasig);
    swal({
                  title: "¿Esta seguro?",
                  text: "Se dar de baja el dispositivo RFID",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#AC0000",
                  confirmButtonText: "Dar de baja",
                   closeOnConfirm: false,
                    showLoaderOnConfirm: true
                }, function () {
                  //var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "desasignar/dardebaja.php",
                    type: "POST",
                    data: "idplacarfid="+id+"&idplacarfidasig="+idasig,
                    success: function(resp){
                      alert(resp);
                      setTimeout(function(){     
                          console.log(resp);
                          $('#idresultado').html(resp);   
                        }, 1000);
                    }
                  }); 
                });
  }
    </script>
</body>

</html>